[arch-dev-public] WARNING: [testing] broken due to openssl and heimdal rebuilds

Dan McGee dpmcgee at gmail.com
Tue Apr 6 22:22:02 CEST 2010

On Tue, Apr 6, 2010 at 3:15 PM, Thomas Bächler <thomas at archlinux.org> wrote:
> Am 01.04.2010 03:05, schrieb Pierre Schmitz:
>> Hi all,
>> this is a warning for [testing] users not to update until the upcoming
>> openssl/heimdal rebuilds are done. This will break a lot of important
>> packages. I am bootstrapping openssl and rebuild the most imporant packages
>> like pacman atm. I'll send another mail to the openssl-1.0.0 thread when
>> you can start rebuilding.
> Upgrading still fails: pacman itself works after the small upgrade. But
> all post-install scripts in the -Syu that use vercmp are broken. For
> example, kernel26 post-install failed on a -Syu for me.

I'm trying to figure out how this happens. pacman and vercmp should
have idential link libraries, so if one works, the other should (and
if one doesn't, the other shouldn't).

Did you have pacman in SyncFirst, and did you do that?


More information about the arch-dev-public mailing list